LILO(8)

NAZWA
lilo - instaluje program rozruchowy LiLO

SKŁADNIA
Podstawowe zastosowanie:

lilo

Dodatkowe zastosowania:

lilo -A # aktywuje/pokazuje partycję aktywną

lilo -E # edytuje nagłówek lub aktualizuje mapę bitową

lilo -I # sprawdza ścieżkę bieżącego jądra

lilo -M # zapisuje główny sektor rozruchowy na urządzeniu

lilo -q # odpytuje mapę i pokazuje jej zawartość

lilo -R # ustawia domyślny wiersz pol. do nast. restartu

lilo -T # wyświetla więcej informacji na dany temat

lilo {-u|-U} # odinstalowuje program rozruchowy LiLO.SH OPIS lilo instaluje program rozruchowy, który zostanie uaktywniony przy następnym uruchomieniu komputera. Domyślny plik konfiguracyjny /etc/lilo.conf (zob. lilo.conf(5)) zawiera większość opcji, lecz wiele, w tych te, które przesłaniają plik konfiguracyjny, może zostać podanych w wierszu polecenia.

OPCJE

-A główne-urządzenie [ N ]
    Użyte z pojedynczym argumentem, wyświetla aktywną partycję na urządzeniu główne-urządzenie; np. /dev/sda. Z N=0, dezaktywuje wszystkie partycje na urządzeniu. Gdy N będzie w zakresie [1..n], aktywuje podaną partycje, dezaktywując wszystkie pozostałe. Zwykle tylko partycje podstawowe [1..4] mogą być aktywowane, lecz jeśli w głównym sektorze rozruchowym (MBR) obecny jest rozszerzony główny program rozruchowy (patrz opcja -M), to uaktywniona może być dowolna partycja. To, czy dany system operacyjny będzie się w stanie uruchomić z partycji partycji logicznej, zależy od jego charakterystyki. Linuksowy sektor rozruchowy LILO może być uruchomiony z partycji logicznej.

-b urządzenie-rozruchowe
    Ustala urządzenie rozruchowe gdzie program rozruchowy będzie zainstalowany. Na przyjład "-b /dev/sda" ustala główny sektor rozruchowy (MBR) na pierwszym dysku jako urządzenie rozruchowe; "-b /dev/sdb5" jako urządzenie rozruchowe ustala pierwszą partycję logiczną na drugim dysku.

-B plik-mapy-bitowej
    Określa plik mapy bitowej z graficznym ekranem wykorzystywanym w czasie uruchamiania systemu, najlepiej przygotowanym wcześniej za pomocą opcji -E.

-c  Włącza kompresję mapy. Ta opcja połączy żądania odczytu z sąsiednich sektorów. Przyspiesza to startowanie (szczególnie z dyskietki).

-C plik-konfiguracyjny
    Ustawia inną ścieżkę i nazwę pliku konfiguracyjnego. Domyślna to /etc/lilo.conf.

-d opóźnienie
    Ustala opóźnienie w dziesiętnych częściach sekundy ("20" = 2 sek.) przed automatycznym uruchomieniem pierwszego obrazu. To daje czas na przerwanie automatycznego procesu startu klawiszem Shift, Alt, Ctrl, ScrollLock lub CapsLock. Po takim przerwaniu wyświetlona zostanie zachęta boot:.

    Ten przełącznik zostanie przesłonięty jeśli w pliku konfiguracyjnym pojawi się prompt.

-D etykieta
    Używa jądra o podanej etykiecie, jako domyślnego jądra do wystartowania, zamiast pierwszego z listy w pliku konfiguracyjnym.

-E nazwa_pliku.roz
    Gdy .roz to .bmp, zakłada się, że plik ten jest plikiem graficznym do użycia w konfiguracyjnej dyrektywie bitmap=. Proszę uruchomić interaktywny edytor aby utworzyć lub zmienić kolor/informacje o położeniu nagłówku LILO pliku z mapą bitową (patrz bmp-colors, bmp-table i bmp-timer na stronie podręcznika lilo.conf(5)).

    Gdy .roz to .dat, zakłada się, że plik ten jest plikiem konfiguracyjnym z podanymi parametrami graficznej mapy bitowej, które zamieniane są na nagłówek LILO w pliku z mapą bitową o takiej samej nazwie.

    Gdy plik .bmp będzie modyfikowany za pomocą edytora graficznego (np. GIMP-a), to nagłówek LILO zostanie utracony. Można go odzyskać używając pliku .dat, który służy za tekstową kopię zapasową informacji nagłówkowych LILO.

-f tablica-dysku
    Ustawia inny plik z parametrami geometrii dysku (domyślnym jest /etc/disktab).

-F  Unieważnia sprawdzanie sektora startowego dla systemów plików (np. swap, ext4, xfs, ...), które mogą być zniszczone przez instalację sektora startowego LILO na pierwszym sektorze partycji. Te systemy plików używają pierwszego sektora jako superbloku.

    Proszę porównać z -P ignore, które obchodzi sprawdzenie danej partycji.

-g  Generuje adresy cylinder/głowica/sektor (geometryczny) dysku. Jest to ograniczone do 1023 cylindrów. Wymusza kompatybilność ze starszymi wersjami LILO (przestarzały przełącznik).

-H  Obchodzi zatrzymanie krytyczne, gdy macierz RAID nie posiada wszystkich aktywnych dysków.

-I etykieta [D|a|i|k|r|R]
    Etykieta jest brana z nazwy obrazu podanego w pliku konfiguracyjnym. To polecenie wyświetli odpowiadającą etykiecie nazwę pliku jądra, pliku tablicy klawiszy, początkowego pliku ramdysku, określeniu korzenia lub łańcucha "append=" (opcja "i", "k", "r", "R" lub "a"). Opcja "d" ignoruje parametr etykieta i wypisuje domyślną etykietę "image=" lub pierwszą etykietę "image=", jeśli nie podano domyślnego image.

-l  Generuje 24-bitowe liniowe adresy sektorów, zamiast adresów cylindrów/głowic/sektorów.

-L  Generuje 32-bitowe Logiczne Adresy Bloków (Logical Block Addresses - LBA), zamiast adresów cylindrów/głowic/sektorów (cylinder/head/sector - CHS). Pozwala to na dostęp do wszystkich partycji na dyskach mających więcej niż 1024 cylindry (jest to domyślna geometria).

-m plik-mapy
    Używa podanego pliku mapy zamiast domyślnego /boot/map.

-M główne-urządzenie {mbr|ext}
    Instaluje główny sektor rozruchowy (MBR) na urządzeniu podanym jako główne-urządzenie, wybierając standardowy lub rozszerzony główny program ładujący, zgodnie z opcją. Podstawowa tablica partycji na główne-urządzenie pozostaje w nienaruszonym stanie. Gdy numer seryjny urządzenia nie jest obecny, generowany jest nowy i zapisywany w MBR. Jeśli poda się mbr, to standardowy główny program ładujący przeszuka partycje 1-4 szukając partycji z flagą active (aktywna) i uruchomi się z tej partycji. Dozwolona jest tylko jedna partycja oznaczona jako aktywna. Jeśli poda się ext, przeszukiwanie obejmie również partycje rozszerzone. Obecność rozszerzonego głównego programu ładującego w głównym sektorze rozruchowym (MBR = sektor 0) dysku, wpływa na działanie opcji -A.

-p  Wymaga interaktywnego wpisania wszystkich haseł podanych w pliku konfiguracyjnym jako "".

-P {fix|ignore|opcja-globalna}
    Naprawienie lub zignorowanie błędnych tablic partycji, tzn. tablicy partycji z niepasującymi adresami sektora/głowicy/cylindra. Najpierw należy zawsze spróbować użyć ignore gdyż fix nadpisze tablicę partycji, być może niszcząc wszystkie partycje na dysku.

    ignore jest używane także po to aby obejść sprawdzanie tablicy partycji w poszukiwaniu typów partycji, które mogą nie pozwalać na instalację sektora startowego LILO. Proszę porównać z flagą "-F", która unieważnia sprawdzanie bieżącego sektora rozruchowego.

    opcja globalna pozwala na przekazanie dowolnej opcji, która może pojawić się w sekcji globalnej (u góry) pliku konfiguracyjnego (/etc/lilo.conf). Na przykład -P nowarn przekaże opcję "nowarn", tak jakby "nowarn" pojawiło się pliku konfiguracyjnym (tak samo, jak przełącznik "-w"). Podobnie, -P timeout=50 doda lub przesłoni wiersz "timeout=" w pliku konfiguracyjnym. Proszę zauważyć, że przełącznik -P w rzeczywistości dubluje wiele przełączników wiersza polecenia. Jednak nie jest to dokładnie to samo, ponieważ niektóre przełączniki przesłaniają inne opcje, np. "-g" (-P geometric), "-L" (-P lba32).

-q  Wyświetla aktualnie mapowane pliki. lilo tworzy plik, domyślnie /boot/map, zawierający wszystkie nazwy i lokalizacje jąder startowych. Ta opcja wyświetli te nazwy. Proszę użyć wraz z opcją -v aby uzyskać bardziej szczegółową informację na temat zainstalowanych programów rozruchowych.

-r główny-katalog
    Wykonuje chroot do podanego katalogu przed podjęciem jakiegokolwiek działania. Nowy katalog główny musi zawierać katalog /dev i może potrzebować katalogu /boot. Może być także potrzebny plik /etc/lilo.conf.

-R wiersz poleceń
    Ta opcja zmienia domyślną linię poleceń dla programu rozruchowego podczas jego następnego uruchomienia. Po wykonaniu wiersz ten zostanie usunięty, ponieważ jest on tylko jednorazowy. Na ogół jest to wykorzystywane w skryptach zamykania systemu, zaraz przed wywołaniem "shutdown -r". Użyte bez żadnego argumentu anuluje zablokowaną lub przywróci linię komend.

-s plik-zapisu
    Gdy lilo zapisuje nowy sektor rozruchowy zachowuje poprzednią jego zawartość w pliku o domyślnej nazwie boot/boot.NNNN, gdzie NNNN jest szesnastkowym zapisem głównego i pobocznego numeru urządzenia danego dysku/partycji.

    Ta opcja wyznacza zapasowy plik zapisu na jeden z trzech sposobów: katalog zapisu (domyślnym jest "/boot") używając domyślnej nazwy pliku "boot.NNNN" w podanym katalogu; szablon ścieżki, do którego dopisywane jest ".NNNN" (domyślnym byłby "/boot/boot"); pełna nazwa ścieżki pliku, która musi zawierać poprawny przyrostek ".NNNN". Z opcją -u konieczne jest podanie pełnej ścieżki pliku.

-S plik-zapisu
    Normalnie lilo nie nadpisze istniejącego zapisanego pliku. Ta opcja mówi, że nadpisywanie jest wymuszone. Tak jak z -s określeniem musi być katalog zapisu, szablon nazwy lub pełna ścieżka (zawierająca przyrostek ".NNNN").

-t  Test. Nic nie jest zapisywane do sektora rozruchowego sektora ani do pliku mapy. Użyte razem z opcją -v wyświetla co lilo ma zamiar robić.

-T opcja
    Wypisuje informacje systemową, z której część pochodzi z BIOS-u. Jest to wygodniejsze od uruchamiania diagnostycznej dyskietki LILO. opcja może być każdą z podanych:

       help  - wypisuje listę dostępnych diagnostyk
       ChRul - wypisuje typy partycji podlegające Zasadom-Zmian
               (Change-Rules)
       EBDA  - wypisuje informacje o Rozszerzonym Obszarze Danych
               BIOSU (Extended BIOS Data Area)
       geom=<dysk> wypisuje geometrię dysku np. geom=0x80
       geom  - wypisuje geometrię dla wszystkich dysków
       table=<dysk> wypisuje podstawową tablicę partycji;
               np. table=/dev/sda
       video - wypisuje dostępne tryby graficzne programu rozruchowego

-u [nazwa-urządzenia]
    Dezinstalacja lilo, poprzez powrotne skopiowanie zapisanego wcześniej sektora rozruchowego. Wraz z tą opcją użyte mogą być parametry -s i -C. Nazwa-urządzenia jest opcjonalna. Sprawdzany jest czas i data pliku.

-U [nazwa-urządzenia]
    Tak jak przy -u, ale bez sprawdzenia czasu i daty.

-v [numer]
    Zwiększenie poziomu komunikatów. Podanie od jednej do pięciu opcji -v sprawi, że lilo wyświetli więcej komunikatów. Numer (od 1 do 5) oznacza poziom szczegółowości.

-V  Wyświetla numer wersji.

-w[+|-]
    Jako -w lub -w- - wyłącza ostrzeżenia. Użyte jako -w+ przesłania nowarn z pliku konfiguracyjnego i pokazuje ostrzeżenia.

-x opcja
    Tylko dla instalacji RAID. Opcja może być każdym ze słów kluczowych none, auto, mbr, mbr-only, lub oddzieloną przecinkami listą dodatkowych urządzeń startowych (lista nie może zawierać spacji).

    Instalacje RAID zapisują wpis rozruchowy na partycji RAID. Warunkowe zapisywanie MBR-u może pomóc w ustawieniu RAID-a jako ładujący (bootable) podczas odzyskiwania, lecz wszystkie domyślne działania mogą zostać unieważnione. Działanie podobne do poprzedniej wersji jest osiągnięte dzięki opcji -x mbr-only.

-X  Zarezerwowane do wewnętrznego użycia przez LILO. Może dawać różne wyniki dla różnych wersji LILO. Linia zaczynająca się od "CFLAGS=" zawiera opcje kompilatora użyte do utworzenia tej wersji LILO.

-z  Gdy użyte z opcją "-M", usuwa numer seryjny urządzenia. Przeważnie opcja ta używana jest w następującej sekwencji do wygenerowania nowego numeru seryjnego urządzenia:

         lilo -z -M /dev/sda
         lilo -M /dev/sda

-Z opcja
    Przekazuje programowi rozruchowego, że konieczna jest specjalna uwaga, ponieważ BIOS nie przekazuje poprawnego kodu urządzenia w DL (-Z0). Lub daje informacje, że BIOS zawsze przekazuje poprawny kod (-Z1). Odnosi się do, i przesłania, opcję pliku konfiguracyjnego "bios-passes-dl=".

KONFIGURACJA
Powyższe opcje linii poleceń odpowiadają podanym poniżej słowom kluczowym w pliku konfiguracyjnym.

 -b bootdev boot=bootdev   -B file.bmp bitmap=file.bmp  -c compact
 -d dsec delay=dsec  -D label default=label  -f file disktab=file
-g geometric  -l linear  -L lba32  -m mapfile map=mapfile  -P fix
fix-table  -P ignore ignore-table  -s file backup=file  -S file
force-backup=file  -v [N] verbose=N  -w nowarn  -x option
raid-extra-boot=option  -Z option bios-passes-dl=option

OPCJE ROZRUCHOWE
Opcje podane tutaj mogą być podane z linii komend gdy ładowany jest obraz jądra. Opcje te są przetwarzane przez LILO i usuwane z linii komend przekazywanej do jądra, chyba że zaznaczono inaczej.

lock
    Blokuje linię komend, tak jakby "lock" było podane w pliku /etc/lilo.conf.

mem=###[,K,M,G]
    Ustala maksymalną ilość pamięci w systemie w bajtach, kilobajtach, megabajtach lub gigabajtach. Ta opcja nie jest usuwana z linii komend i jest zawsze przekazywana do jądra.

nobd
    Wyłącza pobieranie danych z BIOS-u. Opcja ta jest zarezerwowana do użytku z BIOS-ami niekompatybilnymi z IBM, które zawieszają się na liniach:

         Loading...............
         BIOS data check

vga=[ASK,EXT,EXTENDED,NORMAL,###,0x###]
    Pozwala unieważnić domyślny tryb wideo podczas startu jądra.

BŁĘDY ŁADOWANIA SYSTEMU
Proces ładowania systemu dzieli się na dwa etapy. Program ładujący pierwszego stopnia jest pojedynczym sektorem i ładowany jest przez BIOS lub przez program ładujący do MBR. Ładuje on wielosektorowy program ładujący drugiego stopnia, lecz jest bardzo ograniczonej wielkości. Gdy program ładujący pierwszego stopnia przejmuje kontrolę, wypisuje literę "L"; gdy jest gotowy przekazać kontrolę programu ładującemu drugiego stopnia wypisuje literę "I". Gdy wystąpi jakikolwiek błąd, np. błąd odczytu z dysku, wypisany będzie szesnastkowy kod błędu i operacja zostanie powtórzona. Wszystkie szesnastkowe kody błędów są wartościami zwracanymi przez BIOS, z wyjątkiem wartości 40, 99 i 9A, które są generowane przez LILO. A oto częściowa lista kodów błędów:

  00 no error (brak błędu)
  01 invalid disk command (nieprawidłowe polecenie dysku)
  02 address mark not found (nie znaleziono znacznika adresu)
  03 disk write-protected (dysk zabezpieczony przed zapisem
  04 sector not found (nie znaleziono sektora)
  06 floppy disk removed (wysunięto dyskietkę)
  08 DMA overrun (przepełnienie DMA)
  0A bad sector flag (błędna flaga sektora)
  0B bad track flag (błędna flaga ścieżki)
  20 controller failure (błąd kontrolera)
  40 seek failure (BIOS) (błąd wyszukiwania)
  40 cylinder>1023 (LILO)
  99 invalid second stage index sector (LILO) (nieprawidłowy indeks
sektora drugiej fazy LILO)
  9A no second stage loader signature (LILO) (brak sygnatury drugiej fazy
LILO)
  AA drive not ready (dysk nie jest gotowy)
  FF sense operation failed

Kod błędu nr 40 jest generowany przez BIOS lub przez LILO podczas konwersji liniowego (24-bitowego) adresu dyskowego na adres geometryczny (C:H:S). Błąd ten może być wywołany także na starszych systemach, które nie obsługują adresowania lba32 (32-bitowego). Błędy 99 oraz 9A najczęściej oznaczają, że nie da się odczytać pliku mapy (-m lub map=), np. gdy LILO nie zostało uruchomione po jakiejś zmianie systemowej, lub jest nieścisłość pomiędzy tym, czego użyło LILO (lilo -v3 aby wyświetlić), a tym co jest aktualnie używane przez BIOS (do zdiagnozowania tego problemu może być potrzebna jedna z dyskietek diagnostycznych, dostępnych w źródłowej dystrybucji).

Gdy program ładujący drugiego stopnia otrzyma kontrolę od tego pierwszego stopnia, wypisuje literę "L", a po zainicjowaniu się, włączając weryfikację "Tablicy Deskryptorów" - listy jąder/innych do załadowania - wypisze literę "O", formując całe słowo "LILO" pisane wielkimi literami.

Wszystkie błędy programu ładującego drugiego stopnia są wiadomościami w języku angielskim i próbują wskazać, mniej lub bardziej udanie, istotę błędu.

BŁĘDY
Opcje pliku konfiguracyjnego "backup" i "force-backup" powinny określać katalog zapasowy lub szablon ścieżki pliku zapasowego na wszystkich instalacjach RAID. Użycie jawnej nazwy pliku może nie pozwolić na poprawne utworzenie wielu plików zapasowych. Najlepiej jest używać mechanizmu domyślnego, ponieważ działa on poprawnie we wszystkich przypadkach.

PRAWA AUTORSKIE
 Copyright (C) 1992-1998 Werner Almesberger  Copyright (C) 1999-2007
John Coffman  Copyright (C) 2009-2013 Joachim Wiedorn

Dystrybucja i użycie w postaci binarnej i źródłowej z (lub bez) modyfikacjami jest dozwolone na zasadach licencji BSD dołączonej w pliku COPYING.

AUTOR
lilo napisali:

 Werner Almesberger (wersje: 0-21),  John Coffman (wersje: 21.2-22.8),
 Joachim Wiedorn (od wersji 23.0).

Niniejsza strona podręcznika systemowego została napisana przez Wernera Almesbergera i Joachima Wiedorna <ad_debian at joonet.de>.

ZOBACZ TAKŻE
lilo.conf(5), liloconfig(8), lilo-uuid-diskid(8), mkrescue(8), fdisk(8), mkinitrd(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Adam Byrtek (PTM) <alpha@irc.pl>, Grzegorz Goławski (PTM) <grzegol@pld.org.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 24.0 oryginału.